## org.jfree.report.flow.layoutprocessor
Class DefaultLayoutControllerFactory

    java.lang.Object
      org.jfree.report.flow.layoutprocessor.DefaultLayoutControllerFactory

All Implemented Interfaces:
  LayoutControllerFactory

    public class DefaultLayoutControllerFactory

extends java.lang.Object
implements LayoutControllerFactory

A layout controller factory that selects layout controllers by their node implementation type.

Author:
  Thomas Morgner

Constructor Summary
`DefaultLayoutControllerFactory()`

Method Summary
`LayoutController` `create(FlowController controller, java.lang.Object node, LayoutController parent)`
`void` `initialize(ReportJob job)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultLayoutControllerFactory

    public DefaultLayoutControllerFactory()

Method Detail

### initialize

    public void initialize(ReportJob job)

### create

    public LayoutController create(FlowController controller,
                                   java.lang.Object node,
                                   LayoutController parent)
                            throws ReportProcessingException,
                                   ReportDataFactoryException,
                                   DataSourceException

  Specified by:
    `create` in interface `LayoutControllerFactory`
  Throws:
    `ReportProcessingException`
    `ReportDataFactoryException`
    `DataSourceException`